## openrc 0.12.4+20131230

=== src/rc/Makefile ===
PROG=		openrc
SRCS=		checkpath.c fstabinfo.c mountinfo.c start-stop-daemon.c \
		rc-applets.c rc-depend.c rc-logger.c \
		rc-misc.c rc-plugin.c rc-service.c rc-status.c rc-update.c \
		runscript.c rc.c swclock.c

CLEANFILES=	version.h

BINDIR=		${PREFIX}/bin
SBINDIR=	${PREFIX}/sbin
LINKDIR=	${LIBEXECDIR}

BINLINKS=	rc-status
SBINLINKS=	rc rc-service rc-update openrc-run runscript service \
			start-stop-daemon
RC_BINLINKS=	einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
		eindent eoutdent esyslog eval_ecolors ewaitfile \
		veinfo vewarn vebegin veend vewend veindent veoutdent \
		service_starting service_started \
		service_stopping service_stopped \
		service_inactive service_wasinactive \
		service_hotplugged service_started_daemon service_crashed \
		checkpath fstabinfo mountinfo rc-depend \
		service_get_value service_set_value get_options save_options \
		shell_var is_newer_than is_older_than
RC_SBINLINKS=	mark_service_starting mark_service_started \
		mark_service_stopping mark_service_stopped \
		mark_service_inactive mark_service_wasinactive \
		mark_service_hotplugged mark_service_failed \
		rc-abort swclock
ALL_LINKS=	${BINLINKS} ${SBINLINKS} ${RC_BINLINKS} ${RC_SBINLINKS}
CLEANFILES+=	${ALL_LINKS}

CPPFLAGS+=	-I../includes -I../librc -I../libeinfo
LDFLAGS+=	-L../librc -L../libeinfo
LDADD+=		-lutil -lrc -leinfo

include ../../Makefile.inc
MK=		../../mk
include ${MK}/prog.mk
include ${MK}/git.mk
include ${MK}/cc.mk

include ${MK}/termcap.mk
LDADD+=		${LIBDL} ${LIBKVM}
include ${MK}/pam.mk

# create symlinks to rc if not an SELINUX system, otherwise create a wrapper
# script to call rc with the proper name of the applet to execute.
# $1 is a list of the links
# $2 is the path+name of the target to link to (usually 'rc' or '/sbin/rc')
# $3 is the path where the links are created
define make-links
	for x in $(1); do \
		if [ "${MKSELINUX}" = yes ]; then \
			printf '#!/bin/sh\nexec ${2} --applet %s "$$@"\n' $$x >${3}/$$x; \
			chmod ${BINMODE} ${3}/$$x; \
		else \
			ln -sf ${2} ${3}/$$x; \
		fi; \
	done;
endef

${SRCS}: version.h

.PHONY:	version.h.tmp
version.h.tmp:
	echo "#define VERSION \"${VERSION}${GITVER}\"" >$@
	if test -n "${BRANDING}"; then \
		echo "#define BRANDING \"${BRANDING}\"" >> $@; \
	fi

version.h: version.h.tmp
	cmp -s $@.tmp $@ && rm $@.tmp || mv $@.tmp $@

install: all
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${BINDIR}
	$(call make-links,${BINLINKS},${SBINDIR}/${PROG},${DESTDIR}${BINDIR})
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	$(call make-links,${SBINLINKS},${SBINDIR}/${PROG},${DESTDIR}${SBINDIR})
	${INSTALL} -d ${DESTDIR}${LINKDIR}/bin
	$(call make-links,${RC_BINLINKS},${SBINDIR}/${PROG},${DESTDIR}${LINKDIR}/bin)
	${INSTALL} -d ${DESTDIR}${LINKDIR}/sbin
	$(call make-links, ${RC_SBINLINKS},${SBINDIR}/${PROG},${DESTDIR}${LINKDIR}/sbin)
	if test "${MKPAM}" = pam; then \
		${INSTALL} -d ${DESTDIR}${PAMDIR}; \
		${INSTALL} -m ${PAMMODE} start-stop-daemon.pam ${DESTDIR}${PAMDIR}/start-stop-daemon; \
	fi

check test::

links: $PROG
	$(call make-links,${ALL_LINKS},$PROG,.)

=== debian/changelog ===
openrc (0.12.4+20131230-9) unstable; urgency=medium

  * Uploading to unstable.
  * Fix mounting of /run in Hurd & kFreeBSD, thanks to Gabriele's (gg0)
    patch correction.
  * Adds 2 new patches for the loop solver:
    - 0130-option-rc_loopsolver_warnings.patch
    - 0140-loopsolver-doubleprint-fix.patch
  * New version of the lsb2rcconf (LSB header support) patch.
  * Allow non-sh shebang in init.d scripts.
  * Added 0200-GNU-kFreeBSD_add-missing-files.patch, and as a consequence,
    build-depends: libkvm-dev [kfreebsd-i386], libkvm-dev [kfreebsd-amd64].

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 17:34:25 +0800

openrc (0.12.4+20131230-8) experimental; urgency=low

  [ Benda Xu <heroxbd@gentoo.org> ]
  * control, rules: add librc1-dbg and libeinfo1-dbg.
  * lsb2rcconf: handle required-stop,should-stop and X-Stop-After.
  * add runlevel "off" to hold all the shutdown scripts. (Closes: #736384)
    + openrc.postinst: load scripts from rc6.d into "off" runlevel
    + rc: enter and leave off runlevel before shutdown/reboot
    + rules: savecache moved from runlevel shutdown to off
    + update-rc.d: redirect shutdown to off
  * rules: clean librc.funcs.hidden.list, the test suite leftover.
  * control: remove the perl dependency, lsb.pl is superseded by lsb2rcconf.
  * include the dependency loop detection patch from Dmitry Yu Okunev
    <dyokunev@ut.mephi.ru>, so that bug #736400 is circumvented.

  [ Thomas Goirand ]
  * Updated VCS fields to use the new "openrc" Alioth packaging group.
  * Updated the Maintainer: field to use the Alioth list.
  * Updates Hurd patch: thanks to Svante Signell <svante.signell@gmail.com> for
    his work (Closes: #736636).
  * Stores rc and rcS directly in /etc/init.d in the .deb of OpenRC, rather
    than using dangerous and useless maintainer scripts (Closes: #736367).
  * Fix the /etc/init.d/savecache shebang to use openrc-run instead of
    runscript.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jan 2014 15:44:47 +0000

openrc (0.12.4+20131230-7) experimental; urgency=medium

  * lsb2rcconf two updates from Dmitry Yu Okunev <dyokunev@ut.mephi.ru>:
    - adjust c code style to OpenRC guideline (allowed re-enabled unit tests)
    - output nothing in absence of LSB header

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Jan 2014 08:24:21 +0000

openrc (0.12.4+20131230-6) experimental; urgency=low

  * Added purge of /etc/runlevels, /lib/rc, and /etc/init.d/{rc,transit,rcS}
    if OpenRC is purged.
  * Replaces the lsb.pl patch with an implementation in C, which doesn't need
    to have /usr mounted early in the boot process (Closes: #734371).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Jan 2014 15:40:36 +0800

openrc (0.12.4+20131230-5) experimental; urgency=low

  * OpenRC now supports Debian GNU/Hurd! :) Thanks to Svante Signell
    <svante.signell@gmail.com> for working on this.
    - Added patches for GNU/Hurd FTBFS
    - Added patches for GNU/Hurd missing files
    - Reorganized all patches

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jan 2014 20:09:55 +0800

openrc (0.12.4+20131230-4) experimental; urgency=medium

  [ Benda Xu ]
  * Add myself to the uploaders field.
  * rc-update: Add the feature of removing a service from all runlevels.
    update-rc.d: make use of the new rc-update feature.
  * Rename "single" runlevel to "recovery".
    OpenRC treats single runlevel specially.

  [ Thomas Goirand ]
  * Added etc/rc.conf.GNU and mk/os-GNU.mk to have a chance to be able to build
    under GNU Hurd.
  * Patches librc.h so that it works for Hurd.
  * Added missing dependency on insserv (Closes: 734283). Thanks to Axel
    Beckert <abe@debian.org> for finding this out and his bug report.
  * Now conflicts with file-rc (Closes: #734406), thanks to Michael Gilbert
    <mgilbert@debian.org> for reporting the problem.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jan 2014 07:01:23 +0000

openrc (0.12.4+20131230-3) experimental; urgency=medium

  * Added creation of single user symlinks in /etc/runlevels/single in the
    postinst script of OpenRC (otherwise single user mode doesn't work).

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2014 17:10:15 +0000

openrc (0.12.4+20131230-2) experimental; urgency=medium

  * Delete gentoo specific config folders in /etc from the openrc package.
  * Adds missing /etc/runlevels/single folder. Without it, reinstalling
    the initscripts package fails.
  * Warns users about how to do the first reboot when switching from sysv-rc
    to OpenRC.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jan 2014 05:42:12 +0000

openrc (0.12.4+20131230-1) experimental; urgency=low

  * Initial release (Closes: 684396).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 21:08:24 +0900

=== debian/control ===
Source: openrc
Section: admin
Priority: extra
Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
Uploaders: Roger Leigh <rleigh@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Benda Xu <heroxbd@gentoo.org>
Build-Depends: debhelper (>= 9), libkvm-dev [kfreebsd-i386], libkvm-dev [kfreebsd-amd64]
Standards-Version: 3.9.5
Homepage: http://www.gentoo.org/proj/en/base/openrc/
Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openrc/openrc.git;a=summary

Package: openrc
Architecture: any
Conflicts: file-rc, sysv-rc
Replaces: sysv-rc
Provides: sysv-rc
Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runlevel change mechanism)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible
 with Gentoo init scripts. OpenRC, however, is not exclusively used by
 Gentoo Linux, and aims at being platform-agnostic, and supporting the
 old style init system historically available in Debian.
 .
 This package provides the runlevel change mechanism.

Package: openrc-dbg
Architecture: any
Section: debug
Depends: openrc (= ${binary:Version}), ${misc:Depends}
Description: dependency based init system (runlevel change mechanism) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible
 with Gentoo init scripts. OpenRC, however, is not exclusively used by
 Gentoo Linux, and aims at being platform-agnostic, and supporting the
 old style init system historically available in Debian.
 .
 This package contains the debugging symbols for OpenRC.

Package: librc1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime library)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as Originally written as a Gentoo project, OpenRC is 100%
 compatible with Gentoo init scripts. OpenRC, however, is not exclusively used
 by Gentoo Linux, and aims at being platform-agnostic, and supporting the old
 style init system historically available in Debian.
 .
 This package provides the runtime library.

Package: librc1-dbg
Section: debug
Architecture: any
Depends: librc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime library) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as Originally written as a Gentoo project, OpenRC is 100%
 compatible with Gentoo init scripts. OpenRC, however, is not exclusively used
 by Gentoo Linux, and aims at being platform-agnostic, and supporting the old
 style init system historically available in Debian.
 .
 This package provides the debug symbols for the runtime library.

Package: librc-dev
Architecture: any
Section: libdevel
Depends: librc1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime development)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as Originally written as a Gentoo project, OpenRC is 100%
 compatible with Gentoo init scripts. OpenRC, however, is not exclusively used
 by Gentoo Linux, and aims at being platform-agnostic, and supporting the old
 style init system historically available in Debian.
 .

Package: libeinfo1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty console display library)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as Originally written as a Gentoo project, OpenRC is 100%
 compatible with Gentoo init scripts. OpenRC, however, is not exclusively used
 by Gentoo Linux, and aims at being platform-agnostic, and supporting the old
 style init system historically available in Debian.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo1-dbg
Section: debug
Architecture: any
Depends: libeinfo1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty console display library) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as Originally written as a Gentoo project, OpenRC is 100%
 compatible with Gentoo init scripts. OpenRC, however, is not exclusively used
 by Gentoo Linux, and aims at being platform-agnostic, and supporting the old
 style init system historically available in Debian.
 .
 This package provides the debug symbols for libeinfo1, a runtime library that
 supports displaying messages on the console.

Package: libeinfo-dev
Architecture: any
Section: libdevel
Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty control display development)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as Originally written as a Gentoo project, OpenRC is 100%
 compatible with Gentoo init scripts. OpenRC, however, is not exclusively used
 by Gentoo Linux, and aims at being platform-agnostic, and supporting the old
 style init system historically available in Debian.
 .
 This package provides a development library that supports displaying messages
 on the console.

## openrc 0.13.1

=== Makefile ===
# OpenRC Makefile
# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

include Makefile.inc

SUBDIR=		conf.d etc init.d local.d man scripts sh src sysctl.d

# Build pkgconfig or not
MKPKGCONFIG?=	yes
ifeq (${MKPKGCONFIG},yes)
SUBDIR+=	pkgconfig
endif

# We need to ensure that runlevels is done last
SUBDIR+=	runlevels

INSTALLAFTER=	_installafter

MK= 		mk
include ${MK}/sys.mk
include ${MK}/os.mk
include ${MK}/subdir.mk
include ${MK}/dist.mk
include ${MK}/git.mk

_installafter:
ifeq (${MKPREFIX},yes)
	${INSTALL} -d ${DESTDIR}/${LIBEXECDIR}/init.d
else ifneq (${OS},Linux)
	${INSTALL} -d ${DESTDIR}/${LIBEXECDIR}/init.d
endif
	${INSTALL} -d ${DESTDIR}/${LIBEXECDIR}/tmp
	${ECHO} "${VERSION}${GITVER}" > ${DESTDIR}/${LIBEXECDIR}/version

=== conf.d/Makefile ===
include ../mk/net.mk

DIR=	${CONFDIR}
CONF=	bootmisc fsck hostname localmount netmount urandom tmpfiles \
		${CONF-${OS}}

ifeq (${MKNET},yes)
CONF+= network staticroute
TARGETS+=	network staticroute
CLEANFILES+=	network staticroute
endif

MK=	../mk
include ${MK}/os.mk

CONF-FreeBSD=	ipfw moused powerd rarpd savecore syscons

CONF-Linux=	consolefont devfs dmesg hwclock keymaps killprocs modules

CONF-NetBSD=	moused rarpd savecore

include ${MK}/scripts.mk

network: network.in network${SFX}
	cat $^ > $@

staticroute: staticroute${SFX}
	cp $@${SFX} $@

=== etc/Makefile ===
DIR=	${SYSCONFDIR}
SRCS=	rc.conf.in rc.in rc.shutdown.in
BIN=	${BIN-${OS}}
CONF=	rc.conf ${BIN-${OS}}

CLEANFILES+=	rc.conf

MK=	../mk
include ${MK}/os.mk

SED_EXTRA-FreeBSD=	-e 's:@TERM@:cons25:g'
BIN-FreeBSD=		rc rc.shutdown rc.devd
CONF-FreeBSD=		devd.conf

SED_EXTRA-Linux=	-e 's:@TERM@:wsvt25:g'
BIN-Linux=
CONF-Linux=

SED_EXTRA-NetBSD=	-e 's:@TERM@:wsvt25:g'
BIN-NetBSD=		rc rc.shutdown
CONF-NetBSD=

SED_EXTRA=	${SED_EXTRA-${OS}}

include ${MK}/scripts.mk

rc.conf: rc.conf.in rc.conf.${OS}
	${SED} ${SED_REPLACE} ${SED_EXTRA} $^ > $@

=== init.d/Makefile ===
include ../mk/net.mk

DIR=	${INITDIR}
SRCS=	bootmisc.in fsck.in hostname.in local.in localmount.in loopback.in \
	netmount.in root.in savecache.in swap.in swapfiles.in \
	tmpfiles.setup.in swclock.in sysctl.in urandom.in ${SRCS-${OS}}
BIN=	${OBJS}

# Are we installing our network scripts?
ifeq (${MKNET},yes)
SRCS+= network.in staticroute.in
endif

MK=	../mk
include ${MK}/os.mk

# Generic BSD scripts
SRCS-FreeBSD=	hostid.in moused.in newsyslog.in pf.in rarpd.in rc-enabled.in \
		rpcbind.in savecore.in syslogd.in
# These are FreeBSD specific
SRCS-FreeBSD+=	adjkerntz.in devd.in dumpon.in encswap.in ipfw.in \
		mixer.in nscd.in powerd.in syscons.in

SRCS-Linux=	devfs.in dmesg.in hwclock.in consolefont.in keymaps.in \
		killprocs.in modules.in mount-ro.in mtab.in numlock.in \
		procfs.in sysfs.in termencoding.in tmpfiles.dev.in

# Generic BSD scripts
SRCS-NetBSD=	hostid.in moused.in newsyslog.in pf.in rarpd.in rc-enabled.in \
		rpcbind.in savecore.in syslogd.in
# These are NetBSD specific
SRCS-NetBSD+=	devdb.in swap-blk.in ttys.in wscons.in

%.in: %${SFX}
	sed ${SED_REPLACE} ${SED_EXTRA} $< > $@

include ${MK}/scripts.mk

_installafter_: realinstall

=== man/Makefile ===
MAN3=		einfo.3 \
		rc_config.3 rc_deptree.3 rc_find_pids.3 rc_plugin_hook.3 \
		rc_runlevel.3 rc_service.3 rc_stringlist.3
MAN8=		rc-service.8 rc-status.8 rc-update.8 openrc.8 openrc-run.8 \
		service.8 start-stop-daemon.8

# Handy macro to create symlinks
# This does rely on correctly formatting our manpages!
MAKE_LINKS=	suffix=$${man\#*.}; \
		prefix=$${man%%.*}; \
		for link in `sed -e 's/ ,//g' \
		-n -e '/^\.Sh NAME$$/,/\.Sh/ s/\.Nm //p' $${man}`; do \
		if test "$${link}" != "$${prefix}" ; then \
		ln -sf $${man} \
		${DESTDIR}/${MANDIR}/man$${suffix}/$${link}.$${suffix} ; \
		fi; \
		done;

MK=		../mk
include ${MK}/sys.mk
include ${MK}/gitignore.mk

all:

install:
	${INSTALL} -d ${DESTDIR}/${MANDIR}/man3
	for man in ${MAN3}; do \
		${INSTALL} -m ${MANMODE} "$$man" ${DESTDIR}/${MANDIR}/man3 || exit $$?; \
		${MAKE_LINKS} \
	done
	${INSTALL} -d ${DESTDIR}/${MANDIR}/man8
	for man in ${MAN8}; do \
		${INSTALL} -m ${MANMODE} "$$man" ${DESTDIR}/${MANDIR}/man8 || exit $$?; \
		${MAKE_LINKS} \
	done

check test::

clean:

=== runlevels/Makefile ===
include ../mk/net.mk

BOOT=		bootmisc fsck hostname localmount loopback \
		root swap swapfiles sysctl urandom ${BOOT-${OS}}
DEFAULT=	local netmount
SHUTDOWN=	savecache ${SHUTDOWN-${OS}}
SYSINIT=	${SYSINIT-${OS}}

LEVELDIR=	${DESTDIR}/${SYSCONFDIR}/runlevels
SYSINITDIR=	${LEVELDIR}/sysinit
BOOTDIR=	${LEVELDIR}/boot
DEFAULTDIR=	${LEVELDIR}/default
SHUTDOWNDIR=	${LEVELDIR}/shutdown

ifeq (${MKNET},yes)
BOOT+= network staticroute
endif

INITFILES=	../init.d

MK=		../mk
include ${MK}/sys.mk
include ${MK}/os.mk
include ${MK}/gitignore.mk

BOOT-${OS}=
SHUTDOWN-${OS}=
SYSINIT-${OS}=

BOOT-BSD=	hostid newsyslog savecore syslogd swap-blk

# Generic BSD stuff
BOOT-FreeBSD+=	hostid newsyslog savecore syslogd
# FreeBSD specific stuff
BOOT-FreeBSD+=	adjkerntz dumpon syscons

BOOT-Linux+=	hwclock keymaps modules mtab procfs termencoding tmpfiles.setup
SHUTDOWN-Linux=	killprocs mount-ro
SYSINIT-Linux=	devfs dmesg sysfs tmpfiles.dev

# Generic BSD stuff
BOOT-NetBSD+=	hostid newsyslog savecore syslogd
# NetBSD specific stuff
BOOT-NetBSD+=	devdb swap-blk ttys wscons

all:

install:
	if ! test -d "${SYSINITDIR}"; then \
		${INSTALL} -d ${SYSINITDIR} || exit $$?; \
		for x in ${SYSINIT}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${SYSINITDIR}/"$$x" || exit $$?; done \
	fi
	if ! test -d "${BOOTDIR}"; then \
		${INSTALL} -d ${BOOTDIR} || exit $$?; \
		for x in ${BOOT}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${BOOTDIR}/"$$x" || exit $$?; \
		done \
	fi
	if ! test -d "${DEFAULTDIR}"; then \
		${INSTALL} -d ${DEFAULTDIR} || exit $$?; \
		for x in ${DEFAULT}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${DEFAULTDIR}/"$$x" || exit $$?; done \
	fi
	if ! test -d "${SHUTDOWNDIR}"; then \
		${INSTALL} -d ${SHUTDOWNDIR} || exit $$?; \
		for x in ${SHUTDOWN}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${SHUTDOWNDIR}/"$$x" || exit $$?; done \
	fi

check test::

clean:

=== sh/Makefile ===
DIR=	${LIBEXECDIR}/sh
SRCS=	init.sh.in functions.sh.in gendepends.sh.in \
	rc-functions.sh.in runscript.sh.in tmpfiles.sh.in ${SRCS-${OS}}
INC=	rc-mount.sh functions.sh rc-functions.sh
BIN=	gendepends.sh init.sh runscript.sh tmpfiles.sh ${BIN-${OS}}

INSTALLAFTER=	_installafter

MK=	../mk
include ${MK}/os.mk

SRCS-FreeBSD=
BIN-FreeBSD=

SRCS-Linux=	cgroup-release-agent.sh.in init-early.sh.in migrate-to-run.sh.in \
	rc-cgroup.sh.in
BIN-Linux=	cgroup-release-agent.sh init-early.sh migrate-to-run.sh \
	rc-cgroup.sh

SRCS-NetBSD=
BIN-NetBSD=

include ${MK}/scripts.mk

%.sh: %.sh${SFX}
	${SED} ${SED_REPLACE} ${SED_EXTRA} $< > $@

_installafter:
	${INSTALL} -d ${DESTDIR}/${INITDIR}
	@# Put functions.sh into init for backwards compat
	ln -snf ${LIBEXECDIR}/sh/functions.sh ${DESTDIR}/${INITDIR} || exit $$?

check test::
	./runtests.sh

=== src/librc/Makefile ===
LIB=		rc
SHLIB_MAJOR=	1
SRCS=		librc.c librc-daemon.c librc-depend.c librc-misc.c \
		librc-stringlist.c
INCS=		rc.h
VERSION_MAP=	rc.map

LDADD+=		${LIBKVM}

CPPFLAGS+=	-I../includes

MK=		../../mk
include ${MK}/lib.mk
include ${MK}/cc.mk

# Massage our header file for our dirs
SED_CMD=	-e 's:@PREFIX@:${PREFIX}:g'
SED_CMD+=	-e 's:@LIB@:${LIBNAME}:g'
SED_CMD+=	-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'
SED_CMD+=	-e 's:@LIBEXECDIR@:${LIBEXECDIR}:g'
SED_CMD+=	-e 's:@BINDIR@:${BINDIR}:g'
SED_CMD+=	-e 's:@SBINDIR@:${SBINDIR}:g'

_PKG_PREFIX=	-e 's:.*@PKG_PREFIX@.*:\#undef RC_PKG_PREFIX:g'
ifneq (${PKG_PREFIX},)
ifneq (${PKG_PREFIX},/)
ifneq (${PKG_PREFIX},${PREFIX})
_PKG_PREFIX=	-e 's:@PKG_PREFIX@:${PKG_PREFIX}:g'
endif
endif
endif
SED_CMD+=	${_PKG_PREFIX}

_LCL_PREFIX=	-e 's:@LOCAL_PREFIX@::g'
ifneq (${LOCAL_PREFIX},)
ifneq (${LOCAL_PREFIX},/)
ifneq (${LOCAL_PREFIX},${PREFIX})
_LCL_PREFIX=	-e 's:@LOCAL_PREFIX@:${LOCAL_PREFIX}:g'
endif
endif
endif
SED_CMD+=	${_LCL_PREFIX}

%.h: %.h.in
	${SED} ${SED_CMD} $< > $@
${SRCS}:	rc.h

CLEANFILES+=	rc.h

=== src/rc/Makefile ===
--- 
+++ 
@@ -4,7 +4,11 @@
 		rc-misc.c rc-plugin.c rc-service.c rc-status.c rc-update.c \
 		runscript.c rc.c swclock.c
 
-CLEANFILES=	version.h
+ifeq (${MKSELINUX},yes)
+SRCS+=		rc-selinux.c
+endif
+
+CLEANFILES=	version.h rc-selinux.o
 
 BINDIR=		${PREFIX}/bin
 SBINDIR=	${PREFIX}/sbin
@@ -91,5 +95,5 @@
 
 check test::
 
-links: $PROG
-	$(call make-links,${ALL_LINKS},$PROG,.)
+links: ${PROG}
+	$(call make-links,${ALL_LINKS},${PROG},.)

=== debian/changelog ===
openrc (0.13.1-4) unstable; urgency=high

  * runtest.sh: expect nested function rc_deptree_remove_loopdependency
    from dependency loop solver to be listed in the relocation section on
    some architectures like arm and ppc. (Closes: #763681)

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 27 Oct 2014 01:30:35 +0900

openrc (0.13.1-3) unstable; urgency=medium

  [ Gabriele Giacone ]
  * Fix postinst, make dangling links presence not fatal (Closes: #765785).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 25 Oct 2014 15:30:56 +0200

openrc (0.13.1-2) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Add 0210-GNU-kFreeBSD_workaround-nxstack.patch:
    - loopsolver: don't use executable stacks
    - fixes a crash on newer versions of kfreebsd that enforce
      non-executable stacks (Closes: #765070)
  * Drop unnecessary dependency on libkvm-dev [kfreebsd-any]

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 18 Oct 2014 17:28:16 +0100

openrc (0.13.1-1) unstable; urgency=medium

  * New upstream release 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 17 Oct 2014 15:53:29 +0530

openrc (0.12.4+20131230-10) unstable; urgency=medium

  * Revert lsb-deps-on-"all" changes introduced with -9.
    + Get shutdown immediate back on Hurd (Closes: #739703).
  * Fix long descriptions. Thanks to Justin B Rye (Closes: #740611).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 10 Mar 2014 00:40:07 +0100

=== debian/control ===
Source: openrc
Section: admin
Priority: extra
Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
Uploaders: Roger Leigh <rleigh@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Benda Xu <heroxbd@gentoo.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://www.gentoo.org/proj/en/base/openrc/
Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openrc/openrc.git;a=summary

Package: openrc
Architecture: any
Conflicts: file-rc, sysv-rc
Replaces: sysv-rc
Provides: sysv-rc
Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runlevel change mechanism)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the runlevel change mechanism.

Package: openrc-dbg
Architecture: any
Section: debug
Depends: openrc (= ${binary:Version}), ${misc:Depends}
Description: dependency based init system (runlevel change mechanism) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package contains the debugging symbols for OpenRC.

Package: librc1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime library)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the runtime library.

Package: librc1-dbg
Section: debug
Architecture: any
Depends: librc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime library) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the debug symbols for the runtime library.

Package: librc-dev
Architecture: any
Section: libdevel
Depends: librc1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (runtime development)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides development files for the runtime library.

Package: libeinfo1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty console display library)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo1-dbg
Section: debug
Architecture: any
Depends: libeinfo1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty console display library) - debug
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides the debug symbols for libeinfo1, a runtime library that
 supports displaying messages on the console.

Package: libeinfo-dev
Architecture: any
Section: libdevel
Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: dependency based init system (pretty control display development)
 OpenRC is a dependency based init system. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC is 100% compatible with
 Gentoo init scripts. OpenRC, however, is not exclusively used by Gentoo
 Linux, and aims at being platform-agnostic, and supporting the old style
 init system historically available in Debian.
 .
 This package provides a development library that supports displaying messages
 on the console.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEBVERS		?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION		?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBFLAVOR	?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
DEBPKGNAME	?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
DEBIAN_BRANCH	?= $(shell cat debian/gbp.conf | grep debian-branch | cut -d'=' -f2 | awk '{print $1}')
GIT_TAG		?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in))

export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
export SHLIBDIR = /lib/$(DEB_HOST_MULTIARCH)
export LIBNAME = lib
export LIBEXECDIR = /lib/rc
#export OS = Linux

%:
	dh $@

%.install: %.install.in
	sed -e 's;@SHLIBDIR@;$(SHLIBDIR);g' -e 's;@LIBDIR@;$(LIBDIR);g' <$< >$@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(DH_INSTALL_FILES)
	rm -f src/test/librc.funcs.hidden.list

override_dh_strip:
	dh_strip -p openrc --dbg-package=openrc-dbg
	dh_strip -p librc1 --dbg-package=librc1-dbg
	dh_strip -p libeinfo1 --dbg-package=libeinfo1-dbg

install-arch: build-arch $(DH_INSTALL_FILES)
	dh $@ $(DH_OPTIONS)

install-indep: build-indep $(DH_INSTALL_FILES)
	dh $@ $(DH_OPTIONS)

override_dh_installmenu:
	# These are symlinks for compatibility reasons, and we don't want
	# them in Debian.
	for file in start-stop-daemon runscript rc service ; do \
		rm -f $(CURDIR)/debian/openrc/sbin/$${file} ; \
	done

	# These need to be removed, the same way as other stuff above
	for file in service.8 service.8.gz start-stop-daemon.8 start-stop-daemon.8.gz ; do \
		rm -f $(CURDIR)/debian/openrc/usr/share/man/man8/$${file} ; \
	done

	# These are Gentoo specific stuff, we don't want them
	set -e && for i in sysctl.d local.d conf.d ; do \
		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
	done

	# We don't want the Gentoo init scripts, but only want savecache to stay
	find $(CURDIR)/debian/openrc/etc/init.d/* -name savecache -or -name rc -or -name rcS -prune -o -exec rm -f {} +

	# Fix the shebang of savecache
	sed -i s/runscript/openrc-run/ $(CURDIR)/debian/openrc/etc/init.d/savecache

	for dir in boot default sysinit shutdown; do \
		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \
	done

get-upstream-sources:
	# There's also a mirror at: git://git.overlays.gentoo.org/proj/openrc.git
	git remote add upstream git://github.com/OpenRC/openrc.git || true
	git fetch upstream
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout $(DEBIAN_BRANCH)

make-orig-file:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(GIT_TAG)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
	fi
	[ ! -e ../build-area ] && mkdir ../build-area || true
	[ ! -e ../build-area/$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] && cp ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ../build-area || true

.PHONY: override_dh_auto_clean override_dh_strip install-arch install-indep get-upstream-sources make-orig-file

=== debian/watch ===
version=3
https://github.com/OpenRC/openrc/tags /OpenRC/openrc/archive/openrc-(\d[\d\.]+)\.tar\.gz
